
/*
      _______                          .__ .__   .__   .__                 
      \      \    ____   __ __ _______ |__||  |  |  |  |__|  ____    ____  
      /   |   \ _/ __ \ |  |  \\_  __ \|  ||  |  |  |  |  | /  _ \  /    \ 
     /    |    \\  ___/ |  |  / |  | \/|  ||  |__|  |__|  |(  <_> )|   |  \
     \____|__  / \___  >|____/  |__|   |__||____/|____/|__| \____/ |___|  /
    =========\/======\/=================================================\/==
  v0.01 31/OCT/2007  Copyright 2007-2007 Scott D. Yelich SOME RIGHTS RESERVED


  LICENSE:  Creative Commons Attribution 3.0 License.
  SEE:      http://creativecommons.org/licenses/by/3.0/


  Wed Oct 31 23:40:49 EST 2007, v0.01 sdy

  This is a *very* simple program written to test the Error class.


*/


//  C++

#include <iostream>

//  PACKAGE

#include "Error.h"

void
perror(Error e)
{
  std::cout << "Error: ";
  std::cout << "code=" << e.code();
  std::cout << " ";
  std::cout << "what=" << e.what();
  std::cout << std::endl;
}

int
main(int argc, char *argv[])
{
  Error e1(1);
  Error e2bad(2, "2 with bad");
  Error ebad("bad only");

  std::cout << "e(1)" << std::endl;
  perror(e1);

  std::cout << "e(2,bad)" << std::endl;
  perror(e2bad);

  std::cout << "e(bad)" << std::endl;
  perror(ebad);

}

