
/*
      _______                          .__ .__   .__   .__                 
      \      \    ____   __ __ _______ |__||  |  |  |  |__|  ____    ____  
      /   |   \ _/ __ \ |  |  \\_  __ \|  ||  |  |  |  |  | /  _ \  /    \ 
     /    |    \\  ___/ |  |  / |  | \/|  ||  |__|  |__|  |(  <_> )|   |  \
     \____|__  / \___  >|____/  |__|   |__||____/|____/|__| \____/ |___|  /
    =========\/======\/=================================================\/==
  v0.01 29/OCT/2007  Copyright 2007-2007 Scott D. Yelich SOME RIGHTS RESERVED


  LICENSE:  Creative Commons Attribution 3.0 License.
  SEE:      http://creativecommons.org/licenses/by/3.0/


  Mon Oct 29 22:26:30 EST 2007, v0.01 sdy

  This is Error.h, part of Error.

  See Error.cpp for implementation details.

*/

#ifndef ERROR_H
#define ERROR_H

#include <string>

class Error
{

  public: 

  Error(const int code, const std::string & message);
  Error(const int code);
  Error(const std::string & message);
  Error();
  ~Error();

  const char* what() const;
  const int code() const;

  private:

  int code_;
  std::string message_;

};

#endif
